{ config, pkgs, lib, ... }:

{
  imports =
    [
      ./hardware-configuration.nix

      ./fieldpoc.nix
    ];

  boot.kernelParams = [ "console=ttyS0,115200n8" ];

  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda";
  boot.loader.grub.extraConfig = "
    serial --speed=115200 --unit=0 --word=8 --parity=no --stop=1
    terminal_input serial
    terminal_output serial
  ";

  services.wg-clerie = {
    enable = true;
    ipv6s = [ "2a01:4f8:c0c:15f1::8106/128" ];
    ipv4s = [ "10.20.30.106/32" ];
    privateKeyFile = "/var/src/secrets/wireguard/wg-clerie";
  };

  clerie.monitoring = {
    enable = true;
    id = "212";
    pubkey = "P1ONelxezvkcLJFyvuCVeIUd3uewPIlONfKk9y6h9QE=";
    serviceLevel = "event";
    privateKeyFile = "/var/src/secrets/wireguard/wg-monitoring";
  };

  system.stateVersion = "22.11";
}
