{ pkgs, lib, ... }:

pkgs.buildFHSEnv {
  name = "factorio-launcher";
  targetPkgs = pkgs: (with pkgs; [
        alsa-lib
        libGL
        libpulseaudio
        libxkbcommon
        wayland
  ]) ++ (with pkgs.xorg; [
        libICE
        libSM
        libX11
        libXcursor
        libXext
        libXi
        libXinerama
        libXrandr
  ]);
  runScript = lib.getExe (pkgs.writeShellApplication {
    name = "launch-factorio";
    text = builtins.readFile ./launch-factorio.sh;
  });
}
