#!/usr/bin/env bash

set -euo pipefail

if [[ $# -eq 0 ]]; then
	echo "Pass path to factorio install directory as first argument"
	exit 1
fi

FACTORIO_BINARY_PATH=""

for suffix in "" "/factorio" "/x64/factorio" "/bin/x64/factorio" "/factorio/bin/x64/factorio"; do
	if [[ -f "$1${suffix}" && -x "$1${suffix}" ]]; then
		FACTORIO_BINARY_PATH="$1${suffix}"
		break
	fi
done

if [[ -z $FACTORIO_BINARY_PATH ]]; then
	echo "No factorio executable found below $1"
	exit 1
fi

shift

set -- "${FACTORIO_BINARY_PATH}" "$@"

exec "$@"
